get_vector_rotation_matrix(3)

NAME
get_vector_rotation_matrix, get_vector_rotation_matrix_f - Constructs X, Y, Z rotation matrices with an angle. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void get_vector_rotation_matrix(MATRIX *m, fixed x, y, z, fixed a); void get_vector_rotation_matrix_f(MATRIX_f *m, float x, y, z, float a);

DESCRIPTION
Constructs a transformation matrix which will rotate points around the specified x,y,z vector by the specified angle (given in binary, 256 degrees to a circle format).

SEE ALSO
apply_matrix(3), get_rotation_matrix(3), get_align_matrix(3), excamera(3)